/* ***** BEGIN LICENSE BLOCK *****
 *    Copyright 2007 Michel Jacobson michel.jacobson@gmail.com
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 * ***** END LICENSE BLOCK ***** */

/*-----------------------------------------------------------------------*/
package socle.conc;

import socle.trame.*;
import java.util.*;

/************************************************
** Chaine de caracteres triable de gauche a droite
*************************************************/
public class ConcGraph extends Object implements Comparable {
		protected String s;

	public ConcGraph(String s) {
		this.s = s;
	}
	public int compareTo(Object o) {
		Comparator<String> comp = TrameModel.GRAPH_ORDER;
		return comp.compare(s, ((ConcGraph)o).s);
	}
	public String toString() {
		return s.replaceAll("[ \t\n\f\r\u000B]", " ");
	}
}
